Subject: [bug#54000] [PATCH 0/2] Not showing upgraded/added packages in 'guix pull'

From: Ludovic Courtès <[email-masked]>
Date: Thu, 17 Feb 2022 11:19:02 +0100

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> Am Montag, dem 14.02.2022 um 17:38 +0100 schrieb Ludovic Courtès:
>> Hello!
>> 
>> As a followup to <https://issues.guix.gnu.org/53909>, these patches
>> remove the list of added/upgraded packages from the output of
>> ‘guix pull’ (upon completion) and ‘guix pull --news’.

[...]

>>   pull: '--news' no longer shows package lists.
>>   pull: No longer print upgraded/added packages upon completion.
> What if I wanted that information however?

Is it an actual use case or speculation?

> Does `guix pull --news -- details` still give it to me?

Not with this patch, but we could do that *if* there’s a need.

> I don't really want to do `guix pull -l 1d --details` instead.

OK.  So far, my impression was that this information was hardly used at
all, which is why it seemed reasonable to keep it behind ‘--details
--list-generations’.

I’m open to supporting ‘--news --details’, but only if it corresponds to
a real use case.

Thanks,
Ludo’.